Telegram MethodsMessages
messages.requestChatJoinWebView
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
workspaceId*string
Workspace ID
accountId*string
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
params*
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/messages.requestChatJoinWebView" \ -H "Content-Type: application/json" \ -d '{ "params": { "queryId": "string", "platform": "string" } }'{ "result": { "_": "webViewResultUrl", "fullsize": true, "fullscreen": true, "sameOrigin": true, "queryId": "string", "url": "string" }}requestAppWebView
Open a [bot mini app](https://core.telegram.org/bots/webapps) from a [direct Mini App deep link](https://core.telegram.org/api/links#direct-mini-app-links), sending over user information after user confirmation. After calling this method, until the user closes the webview, `messages.RawProlongWebViewRequest` must be called every 60 seconds.
requestEncryption
Sends a request to start a secret chat to the user.